RRegexp Struct Reference

`#include <ruby.h>`

## Data Fields

struct RBasic | basic
struct re_pattern_buffer * | ptr
VALUE | src
unsigned long | usecnt

## Detailed Description

Definition at line 720 of file ruby.h.

## Field Documentation

struct RBasic RRegexp::basic

Definition at line 721 of file ruby.h.

struct re_pattern_buffer* RRegexp::ptr

Definition at line 722 of file ruby.h.

Referenced by rb_reg_equal(), and rb_reg_initialize().

VALUE RRegexp::src

Definition at line 723 of file ruby.h.

Referenced by gc_mark_children().

unsigned long RRegexp::usecnt

Definition at line 724 of file ruby.h.

The documentation for this struct was generated from the following file:

- include/ruby/ruby.h